List all products
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/products \
--header 'X-API-Key: <api-key>'import requests
url = "https://dev.superpool.unyte.africa/api/v1/products"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://dev.superpool.unyte.africa/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
[
{
"id": "d0378ac1-f7e2-45ca-9312-6473d8d3d567",
"created_at": "2024-08-06T10:56:00.900428Z",
"updated_at": "2024-08-06T10:56:00.900485Z",
"is_trashed": false,
"trashed_at": null,
"restored_at": null,
"name": "Travel Insurance",
"description": "Travel",
"product_type": "Travel",
"coverage_details": null,
"is_live": true,
"provider": "c8ab1b72-5fee-4ca0-9d3e-591f9e782171"
},
{
"id": "584926a8-c2ed-4feb-a37f-98d071656427",
"created_at": "2024-07-29T16:58:40.262604Z",
"updated_at": "2024-07-29T16:58:40.262664Z",
"is_trashed": false,
"trashed_at": null,
"restored_at": null,
"name": "Plus Economic Life Insurance",
"description": "City treat national price.",
"product_type": "Auto",
"coverage_details": null,
"is_live": true,
"provider": "a53dccce-cced-4fea-a794-028986f43927"
},
{
"id": "5fc4f5d2-c1de-4007-b8f7-fe44836473ed",
"created_at": "2024-08-06T10:55:54.453115Z",
"updated_at": "2024-08-06T10:55:54.453162Z",
"is_trashed": false,
"trashed_at": null,
"restored_at": null,
"name": "Health Insurance",
"description": "Health",
"product_type": "Health",
"coverage_details": null,
"is_live": true,
"provider": "c8ab1b72-5fee-4ca0-9d3e-591f9e782171"
},
{
"id": "05268117-a576-4318-8e3c-e0df7c399fa5",
"created_at": "2024-08-06T10:55:58.175434Z",
"updated_at": "2024-08-06T10:55:58.175497Z",
"is_trashed": false,
"trashed_at": null,
"restored_at": null,
"name": "Auto Insurance",
"description": "Auto",
"product_type": "Auto",
"coverage_details": null,
"is_live": true,
"provider": "c8ab1b72-5fee-4ca0-9d3e-591f9e782171"
},
{
"id": "72512701-906f-4aa7-9d19-2c2315f7df37",
"created_at": "2024-08-06T10:56:43.935129Z",
"updated_at": "2024-08-06T10:56:43.935207Z",
"is_trashed": false,
"trashed_at": null,
"restored_at": null,
"name": "Gadget Insurance",
"description": "Gadget",
"product_type": "Gadget",
"coverage_details": null,
"is_live": true,
"provider": "c8ab1b72-5fee-4ca0-9d3e-591f9e782171"
}
]
]
}Products
List all products
List all products available in the system
GET
/
api
/
v1
/
products
List all products
Authorizations
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I
